org.apache.cassandra.tools

## Class BulkLoader.CmdLineOptions

- java.lang.Object
- - org.apache.commons.cli.Options
  - - org.apache.cassandra.tools.BulkLoader.CmdLineOptions

Enclosing class:
  BulkLoader

    public static class BulkLoader.CmdLineOptions
    extends org.apache.commons.cli.Options

### Constructor Summary

Constructors
Constructor and Description
`CmdLineOptions()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.commons.cli.Options` `addOption(java.lang.String opt, java.lang.String longOpt, java.lang.String description)` Add option without argument
`org.apache.commons.cli.Options` `addOption(java.lang.String opt, java.lang.String longOpt, java.lang.String argName, java.lang.String description)` Add option with argument and argument name

### Methods inherited from class org.apache.commons.cli.Options

`addOption, addOption, addOption, addOptionGroup, getOption, getOptionGroup, getOptions, getRequiredOptions, hasOption, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CmdLineOptions

    public CmdLineOptions()

### Method Detail

#### addOption

    public org.apache.commons.cli.Options addOption(java.lang.String opt,
                                                    java.lang.String longOpt,
                                                    java.lang.String argName,
                                                    java.lang.String description)

Add option with argument and argument name

Parameters:
  `opt` - shortcut for option name
  `longOpt` - complete option name
  `argName` - argument name
  `description` - description of the option
Returns:
  updated Options object

#### addOption

    public org.apache.commons.cli.Options addOption(java.lang.String opt,
                                                    java.lang.String longOpt,
                                                    java.lang.String description)

Add option without argument

Parameters:
  `opt` - shortcut for option name
  `longOpt` - complete option name
  `description` - description of the option
Returns:
  updated Options object